Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class Jpeg2000

    java.lang.Object
      com.lowagie.text.Rectangle
          com.lowagie.text.Image
              com.lowagie.text.Jpeg2000

All Implemented Interfaces:
  Element

    public class Jpeg2000

extends Image

An `Jpeg2000` is the representation of a graphic element (JPEG) that has to be inserted into the document

See Also:
  `Element`, `Image`

Field Summary
`(package private) int` | `boxLength`
`(package private) int` | `boxType`
`(package private) InputStream` | `inp`
`static int` | `JP2_BPCC`
`static int` | `JP2_COLR`
`static int` | `JP2_DBTL`
`static int` | `JP2_FTYP`
`static int` | `JP2_IHDR`
`static int` | `JP2_JP`
`static int` | `JP2_JP2`
`static int` | `JP2_JP2C`
`static int` | `JP2_JP2H`
`static int` | `JP2_URL`
`static int` | `JPIP_JPIP`

Fields inherited from class com.lowagie.text.Image
`absoluteX, absoluteY, alignment, alt, annotation, AX, AY, bpc, BX, BY, colorspace, CX, CY, DEFAULT, deflated, dpiX, dpiY, DX, DY, imageMask, indentationLeft, indentationRight, interpolation, invert, layer, LEFT, mask, MIDDLE, mySerialId, ORIGINAL_BMP, ORIGINAL_GIF, ORIGINAL_JPEG, ORIGINAL_JPEG2000, ORIGINAL_NONE, ORIGINAL_PNG, ORIGINAL_PS, ORIGINAL_TIFF, ORIGINAL_WMF, originalData, originalType, plainHeight, plainWidth, profile, rawData, RIGHT, rotationRadians, scaledHeight, scaledWidth, serialId, spacingAfter, spacingBefore, template, TEXTWRAP, transparency, type, UNDERLYING, url`

Fields inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, llx, lly, NO_BORDER, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`Jpeg2000(byte[] img)` Constructs a `Jpeg2000`-object from memory.
`Jpeg2000(byte[] img, float width, float height)` Constructs a `Jpeg2000`-object from memory.
`Jpeg2000(Image image)`
`Jpeg2000(URL url)` Constructs a `Jpeg2000`-object, using an url.

Method Summary
`private int` | `cio_read(int n)`
`void` | `jp2_read_boxhdr()`
`private void` | `processParameters()` This method checks if the image is a valid JPEG and processes some parameters.

Methods inherited from class com.lowagie.text.Image
`absoluteX, absoluteY, alignment, alt, annotation, bpc, colorspace, getAbsoluteX, getAbsoluteY, getAdditional, getAlignment, getAlt, getAnnotation, getBpc, getColorspace, getDirectReference, getDpiX, getDpiY, getICCProfile, getImageMask, getImageRotation, getIndentationLeft, getIndentationRight, getInitialRotation, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getInstance, getLayer, getMySerialId, getOriginalData, getOriginalType, getPlainHeight, getPlainWidth, getRawData, getScaledHeight, getScaledWidth, getSerialId, getSpacingAfter, getSpacingBefore, getTemplateData, getTransparency, getUrl, getWidthPercentage, getXYRatio, hasAbsolutePosition, hasAbsoluteX, hasAbsoluteY, hasICCProfile, indentationLeft, indentationRight, isDeflated, isImgRaw, isImgTemplate, isInterpolation, isInverted, isInvertMask, isJpeg, isMask, isMaskCandidate, isSmask, makeMask, matrix, plainHeight, plainWidth, rawData, scaleAbsolute, scaleAbsoluteHeight, scaleAbsoluteWidth, scaledHeight, scaledWidth, scalePercent, scalePercent, scaleToFit, setAbsolutePosition, setAdditional, setAlignment, setAlt, setAnnotation, setDeflated, setDirectReference, setDpi, setImageMask, setIndentationLeft, setIndentationRight, setInitialRotation, setInterpolation, setInverted, setInvertMask, setLayer, setOriginalData, setOriginalType, setRotation, setRotationDegrees, setSmask, setSpacingAfter, setSpacingBefore, setTemplateData, setTransparency, setUrl, setWidthPercentage, setXYRatio, simplifyColorspace, spacingAfter, spacingBefore, tagICC, templateData, type, url`

Methods inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderWidth, bottom, bottom, cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getBottom, getChunks, getGrayFill, getHeight, getLeft, getLeft, getRight, getRight, getRotation, getTop, getTop, getWidth, grayFill, hasBorder, hasBorders, height, isUseVariableBorders, left, left, normalize, process, rectangle, right, right, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, top, top, toString, width`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JP2_JP

    public static final int JP2_JP

See Also:
  Constant Field Values

### JP2_IHDR

    public static final int JP2_IHDR

See Also:
  Constant Field Values

### JPIP_JPIP

    public static final int JPIP_JPIP

See Also:
  Constant Field Values

### JP2_FTYP

    public static final int JP2_FTYP

See Also:
  Constant Field Values

### JP2_JP2H

    public static final int JP2_JP2H

See Also:
  Constant Field Values

### JP2_COLR

    public static final int JP2_COLR

See Also:
  Constant Field Values

### JP2_JP2C

    public static final int JP2_JP2C

See Also:
  Constant Field Values

### JP2_URL

    public static final int JP2_URL

See Also:
  Constant Field Values

### JP2_DBTL

    public static final int JP2_DBTL

See Also:
  Constant Field Values

### JP2_BPCC

    public static final int JP2_BPCC

See Also:
  Constant Field Values

### JP2_JP2

    public static final int JP2_JP2

See Also:
  Constant Field Values

### inp

    InputStream inp

### boxLength

    int boxLength

### boxType

    int boxType

Constructor Detail

### Jpeg2000

    Jpeg2000(Image image)

### Jpeg2000

    public Jpeg2000(URL url)
             throws BadElementException,
                    IOException

  Constructs a `Jpeg2000`-object, using an url.

  Parameters:
    `url` - the `URL` where the image can be found
  Throws:
    `BadElementException`
    `IOException`

### Jpeg2000

    public Jpeg2000(byte[] img)
             throws BadElementException,
                    IOException

  Constructs a `Jpeg2000`-object from memory.

  Parameters:
    `img` - the memory image
  Throws:
    `BadElementException`
    `IOException`

### Jpeg2000

    public Jpeg2000(byte[] img,
                    float width,
                    float height)
             throws BadElementException,
                    IOException

  Constructs a `Jpeg2000`-object from memory.

  Parameters:
    `img` - the memory image.
    `width` - the width you want the image to have
    `height` - the height you want the image to have
  Throws:
    `BadElementException`
    `IOException`

Method Detail

### cio_read

    private int cio_read(int n)
                  throws IOException

  Throws:
    `IOException`

### jp2_read_boxhdr

    public void jp2_read_boxhdr()
                         throws IOException

  Throws:
    `IOException`

### processParameters

    private void processParameters()
                            throws IOException

  This method checks if the image is a valid JPEG and processes some parameters.

  Throws:
    `BadElementException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD